Join Breps Python

Hi, I have an array with breps which are surfaces
[<Rhino.Geometry.Brep object at 0x00000000000000FE [Rhino.Geometry.Brep]>, …
All the surfaces joined should make 2 big surfaces.
Is there a command which as input uses the array and returns another array with the resulted surfaces

Thanks,
CG

You probably want this method:

https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Brep_JoinBreps.htm

How are you selecting these surfaces? If you want the surface objects instead of the breps, you can either get the brep.faces and the get the surface from each face.

Or if you use rhinoscriptsyntax then use rs.coercesurface(guid) instead of rs.coercebrep(guid)

If all you need is to create one brep containing all other breps(surfaces) then yeah, use what @AndersDeleuran suggested.

It is not very clear what you want to accomplish.

Perhaps provide more info.
A piece of the code, maybe?

it worked with the JoinBreps, I think the array before had smth wrong in it…

the surfaces i got with brep.Faces and then DuplicateFace, to have all the surfaces with trims